Bug 510842 - Hard dependency on postgresql-libs
Hard dependency on postgresql-libs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redland (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Vander Stichele
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-11 09:26 EDT by Bernie Innocenti
Modified: 2010-07-28 11:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:34:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernie Innocenti 2009-07-11 09:26:44 EDT
redland drags in postgresql-libs.

Can we split this functionality to a separate package or rebuild it without the hard dependency on PostgreSQL?
Comment 1 Orcan Ogetbil 2009-12-12 18:18:10 EST
I don't know if this is possible in an easy way. The main shared object library librdf.so of redland is linked to libpq.so and as far as I can tell, it really uses symbols from libpq.so, which is from PostgreSQL. It is not a false linkage.

Any ideas from your side? Why do we want these separated?
Comment 2 Kevin Kofler 2009-12-12 18:27:57 EST
To me, on one hand this sounds like NOTABUG, on the other hand: does any of the programs using Redland actually USE that PostgreSQL integration?
Comment 3 Orcan Ogetbil 2009-12-12 21:31:09 EST
I don't know the answer to that question.

It looks like in the new redland-1.0.9, the new PostgreSQL functionality is split into an external module: /usr/lib64/redland/librdf_storage_postgresql.so

I assume that (I haven't looked into it) the redland API remained the same for PostgreSQL but now the module is now dlopened. So if we are to split this into a subpackage, we really have to go through Kevin's question and fish out what packages are actually using this API. Those which use this API need to require the subpackage explicitly.

But I would like to know what is the gain of the split.
Comment 4 Bernie Innocenti 2009-12-12 22:01:57 EST
(In reply to comment #3)
> But I would like to know what is the gain of the split.  

I'm hunting around for spurious dependencies like this one in order to reduce the image size of live Fedora distros.

postgresql-libs is just 500KB, so no big deal in this case. It just seems weird that KDE and OpenOffice would depend on it.
Comment 5 Simon Lewis 2010-02-16 04:48:08 EST
(In reply to comment #4)

> I'm hunting around for spurious dependencies like this one...
>
> ...It just seems weird that KDE and OpenOffice would depend on it.    

See also bug requests 562645 and 565329..
Comment 6 Bug Zapper 2010-04-27 11:36:33 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Orcan Ogetbil 2010-05-08 07:52:27 EDT
The split is made in rawhide (F-14). Do we need to make the split in the stable branches too, or is it to late?
Comment 8 Kevin Kofler 2010-05-09 10:52:59 EDT
I don't know. The problem is of course that users who are using that functionality will by default lose it with the update if it's split out.
Comment 9 Bug Zapper 2010-06-28 09:34:21 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Rex Dieter 2010-07-28 11:50:45 EDT
for posterity, these backends are now split out in fedora 14 redland packaging, thanks to oget for the work there.

Note You need to log in before you can comment on or make changes to this bug.